# dv1394src

Read DV (digital video) data from firewire port.

## Example launch line

     gst-launch-1.0 dv1394src ! queue ! dvdemux name=d ! queue ! dvdec ! xvimagesink d. ! queue ! alsasink

This pipeline captures from the firewire port and displays it (might need format converters for audio/video).

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseSrc
                        ╰──GstPushSrc
                            ╰──dv1394src

## Implemented interfaces

    GstURIHandler

## Factory details

Authors: – Erik Walthinsen , Daniel Fischer , Wim Taymans , Zaheer Abbas Merali

Classification: – `Source/Video`

Rank – none

Plugin – 1394

Package – GStreamer Good Plug-ins

## Pad Templates

### `src`

    video/x-dv:
             format: { NTSC, PAL }
       systemstream: true

Presence – always

Direction – src

Object type – GstPad

## Signals

### frame-dropped

    frame_dropped_callback (GstElement * param_0,
                            gpointer udata)

    def frame_dropped_callback (param_0, udata):
        #python callback for the 'frame-dropped' signal

    function frame_dropped_callback(param_0: GstElement * param_0, udata: gpointer udata): {
        // javascript callback for the 'frame-dropped' signal
    }

Parameters:

`param_0` –
No description available
`udata` –
No description available

Flags: Run Last

## Properties

### channel

    “channel” gint

Channel number for listening

Flags : Read / Write

Default value : 63

### consecutive

    “consecutive” gint

send n consecutive frames after skipping

Flags : Read / Write

Default value : 1

### device-name

    “device-name” gchararray

Descriptive name of the currently opened device

Flags : Read

Default value : Default

### drop-incomplete

    “drop-incomplete” gboolean

drop incomplete frames

Flags : Read / Write

Default value : true

### guid

    “guid” guint64

select one of multiple DV devices by its GUID. use a hexadecimal like 0xhhhhhhhhhhhhhhhh. (0 = no guid)

Flags : Read / Write

Default value : 0

### port

    “port” gint

Port number (-1 automatic)

Flags : Read / Write

Default value : -1

### skip

    “skip” gint

skip n frames

Flags : Read / Write

Default value : 0

### use-avc

    “use-avc” gboolean

Use AV/C VTR control

Flags : Read / Write

Default value : true

The results of the search are